Skip to main content
`Ctrl`+`K`

# ISLocalToGlobalMappingRestoreBlockIndices

Restore indices obtained with `ISLocalToGlobalMappingGetBlockIndices()`

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISLocalToGlobalMappingRestoreBlockIndices(ISLocalToGlobalMapping ltog, const PetscInt *array[])

Not Collective

## Input Parameters

- ltog - local to global mapping

- array - array of indices

## See Also

Low-level Vector Communication, `ISLocalToGlobalMappingCreate()`, `ISLocalToGlobalMappingApply()`, `ISLocalToGlobalMappingGetIndices()`

## Level

advanced

## Location

src/vec/is/utils/isltog.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages